List article revisions
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"revisions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": "<string>",
"description": "<string>",
"is_latest": true,
"who_done_it": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}{
"error": "Not found."
}Articles
List article revisions
This API lists the revisions of an article, newest first. For CLI sessions, this needs the Modify articles permission.
GET
/
articles
/
{article_id}
/
revisions
List article revisions
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/revisions"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"revisions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": "<string>",
"description": "<string>",
"is_latest": true,
"who_done_it": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}{
"error": "Not found."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.
Query Parameters
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Number of results per page. Defaults to 30 when omitted.
Response
OK - Request succeeded